%define unmangled_version 2.9.0
%define release 1


# See https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_example_spec_file

%define debug_package %{nil}

%define original_name google-auth
%define dashed_name google-auth
%define module_to_save google

%define mybuildnumber %{?build_number}%{?!build_number:1}

Name:           python-%{dashed_name}
Version:        2.9.0
Release:        %{mybuildnumber}%{?dist}
Summary:        Google Authentication Library

License:        Apache 2.0
Source:         %{url}/archive/v%{version}/%{original_name}-%{version}.tar.gz

BuildArch: noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-packaging

%global _description %{expand:
Google Auth Python Library
==========================

|pypi|

This library simplifies using Google's various server-to-server authentication
mechanisms to access Google APIs.

.. |pypi| image:: https://img.shields.io/pypi/v/google-auth.svg
   :target: https://pypi.python.org/pypi/google-auth

Installing
----------

You can install using `pip`_::

    $ pip install google-auth

.. _pip: https://pip.pypa.io/en/stable/

For more information on setting up your Python development environment, please refer to `Python Development Environment Setup Guide`_ for Google Cloud Platform.

.. _`Python Development Environment Setup Guide`: https://cloud.google.com/python/setup

Supported Python Versions
^^^^^^^^^^^^^^^^^^^^^^^^^
Python >= 3.6

Unsupported Python Versions
^^^^^^^^^^^^^^^^^^^^^^^^^^^
- Python == 2.7:  The last version of this library with support for Python 2.7
  was `google.auth == 1.34.0`.

- Python 3.5:   The last version of this library with support for Python 3.5
  was `google.auth == 1.23.0`.

Documentation
-------------

Google Auth Python Library has usage and reference documentation at https://googleapis.dev/python/google-auth/latest/index.html.

Current Maintainers
-------------------
- `@busunkim96 <https://github.com/busunkim96>`_ (Bu Sun Kim)

Authors
-------

- `@theacodes <https://github.com/theacodes>`_ (Thea Flowers)
- `@dhermes <https://github.com/dhermes>`_ (Danny Hermes)
- `@lukesneeringer <https://github.com/lukesneeringer>`_ (Luke Sneeringer)

Contributing
------------

Contributions to this library are always welcome and highly encouraged.

See `CONTRIBUTING.rst`_ for more information on how to get started.

.. _CONTRIBUTING.rst: https://github.com/googleapis/google-auth-library-python/blob/main/CONTRIBUTING.rst

License
-------

Apache 2.0 - See `the LICENSE`_ for more information.

.. _the LICENSE: https://github.com/googleapis/google-auth-library-python/blob/main/LICENSE


}

%description %_description

%package -n python3-%{dashed_name}
Summary:        %{summary}

%description -n python3-%{dashed_name} %_description

%prep
%autosetup -p1 -n %{original_name}-%{version}

%generate_buildrequires
if test -f tox.ini ; then

%pyproject_buildrequires -t

else

%pyproject_buildrequires

fi


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files %{module_to_save}


%check
if test -f tox.ini  ; then

%tox

fi

%files -n python3-%{dashed_name} -f %{pyproject_files}
%doc README*

%{python3_sitelib}/*.pth

%changelog
* Thu Jun 16 2022 Manuel Amador <rudd-o@rudd-o.com> 0.1.0-1
- This release date means nothing.
